Skip to main content
GET
/
entities
/
{entityId}
/
datasources
/
bil
/
reports
List an entity's BIL reports
curl --request GET \
  --url https://api.syntage.com/entities/{entityId}/datasources/bil/reports \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.syntage.com/entities/{entityId}/datasources/bil/reports"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.syntage.com/entities/{entityId}/datasources/bil/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "@context": "/contexts/BilReport",
  "@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/datasources/bil/reports",
  "@type": "hydra:Collection",
  "hydra:member": [
    {
      "@id": "/datasources/bil/reports/9cc7fc78-5e84-4862-af83-c6c7022fcb41",
      "@type": "BilReport",
      "id": "9cc7fc78-5e84-4862-af83-c6c7022fcb41",
      "fecha": "2026-05-19T12:22:39-06:00",
      "investigado": "EMPRESA DE PRUEBA SA DE CV",
      "folio": "ENG10387-001",
      "gradoMaximo": 5,
      "data": {
        "REPORTES": {
          "REPORTE": {
            "TIPO": "BASICO",
            "INVESTIGADO": "EMPRESA DE PRUEBA SA DE CV",
            "FOLIO": "ENG10387-001",
            "GRADO_MAXIMO": "5"
          }
        }
      },
      "xmlFile": {
        "@id": "/files/88d3e2b7-6262-4ec7-9b2b-5a90a6227d01",
        "@type": "File",
        "id": "88d3e2b7-6262-4ec7-9b2b-5a90a6227d01",
        "type": "bil.report.xml",
        "resource": "/datasources/bil/reports/9cc7fc78-5e84-4862-af83-c6c7022fcb41",
        "mimeType": "text/xml",
        "extension": "xml",
        "filename": "ENG10387-001.xml"
      },
      "pdfFile": {
        "@id": "/files/0ab1bdf6-9008-4acf-8e31-8196405df2d0",
        "@type": "File",
        "id": "0ab1bdf6-9008-4acf-8e31-8196405df2d0",
        "type": "bil.report.pdf",
        "resource": "/datasources/bil/reports/9cc7fc78-5e84-4862-af83-c6c7022fcb41",
        "mimeType": "application/pdf",
        "extension": "pdf",
        "filename": "ENG10387-001.pdf"
      },
      "createdAt": "2020-01-01T12:15:00.000Z",
      "updatedAt": "2020-01-01T12:15:00.000Z"
    }
  ],
  "hydra:view": {
    "@id": "<string>",
    "@type": "hydra:PartialCollectionView",
    "hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
    "hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
  },
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

entityId
string<uuid>
required

Query Parameters

id[lt]
string

Collection cursor pointer to the next page

id[gt]
string

Collection cursor pointer to the previous page

itemsPerPage
integer
default:20

Number of items per page

Required range: 1 <= x <= 1000

Response

BIL report collection response

@context
string
default:/contexts/BilReport
@id
string
Example:

"/entities/91106968-1abd-4d64-85c1-4e73d96fb997/datasources/bil/reports"

@type
string
default:hydra:Collection
hydra:member
object[]
hydra:view
object

Pagination information